/**
 * Copyright (c) 2017-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.exception;

import javax.management.InvalidAttributeValueException;

/**
 * A configuration parameter must have a positive value
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public class NegativeValueException extends InvalidAttributeValueException {

    private static final long serialVersionUID = 3808481316599543602L;

    public NegativeValueException(final String name, final long value) {
        super(String.format("Invalid value (%d) for attribute '%s': The value must be upper or equals to 0.", value,
                name));
    }

}
